[maven-verifier-plugin] Thoughts on releasing new version

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[maven-verifier-plugin] Thoughts on releasing new version

Artem Krosheninnikov
Hello there,

I was looking for a small task in maven area and found this page [1]

I've looked through plugins [2] and decided to switch maven-verifier-plugin
[3]

After cloning I found out that in master minimum version is already set to
3. Also there are no open issues.

There are some questions:

1) Is it reasonable to release a new version? Previous version was released
in 2015, it has an outdated site.
2) If yes, is it reasonable to leverage Java version to 1.8?

I've made a small PR with all things in one place [4], please have a look
and let me know what you think.

[1]
https://cwiki.apache.org/confluence/display/MAVEN/Plugin+migration+to+Maven3+dependencies
[2]
https://builds.apache.org/job/dist-tool-plugin/site/dist-tool-prerequisites.html
[3] https://github.com/apache/maven-verifier-plugin/
[4] https://github.com/apache/maven-verifier-plugin/pull/1
--
Sincerely yours,
Krosheninnikov Artem.